> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent



## OpenAPI

````yaml /openapi.json post /admin/api/assistant/agents
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/assistant/agents:
    post:
      tags:
        - Assistant Admin
      summary: Create Agent
      operationId: AssistantAdminController_createAgent
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAssistantAgentAdminDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateAssistantAgentAdminDto:
      type: object
      properties:
        slug:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
        instructions:
          type: string
          minLength: 1
          maxLength: 100000
        modelId:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        enabled:
          type: boolean
        attachmentsEnabled:
          type: boolean
        requiredRouteKey:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 128
            - type: 'null'
        skills:
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              skillId:
                type: string
              position:
                type: integer
                exclusiveMinimum: 0
                maximum: 1000
            required:
              - skillId
              - position
            additionalProperties: false
        suggestions:
          maxItems: 8
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
        tools:
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              toolName:
                type: string
                minLength: 1
                maxLength: 128
              enabled:
                type: boolean
            required:
              - toolName
              - enabled
            additionalProperties: false
      required:
        - slug
        - instructions
        - modelId
        - enabled
        - attachmentsEnabled
        - requiredRouteKey
        - skills
        - suggestions
        - tools
      additionalProperties: false

````